Your search did not match any results.

JavaScript/jQuery Color Box

The JavaScript ColorBox allows users to enter a color or select it in the drop-down editor. When you create a JavaScript ColorBox, specify its value property to set the initial color. Users can change the value after they pick a shade, or after they click the OK button. To specify the mode, use the applyValueMode property.

Backend API
$(() => { $('#color-box-simple').dxColorBox({ value: '#f05b41', inputAttr: { 'aria-label': 'Default mode', }, }); $('#color-box-edit-alpha-channel').dxColorBox({ value: '#f05b41', editAlphaChannel: true, inputAttr: { 'aria-label': 'With alpha channel editing', }, }); $('#color-box-edit-button-text').dxColorBox({ value: '#f05b41', applyButtonText: 'Apply', cancelButtonText: 'Decline', inputAttr: { 'aria-label': 'Custom button captions', }, }); $('#color-box-read-only').dxColorBox({ value: '#f05b41', readOnly: true, inputAttr: { 'aria-label': 'Read only', }, }); $('#color-box-disabled').dxColorBox({ value: '#f05b41', disabled: true, inputAttr: { 'aria-label': 'Disabled', }, }); $('#color-box-with-change-value').dxColorBox({ value: '#f05b41', applyValueMode: 'instantly', inputAttr: { 'aria-label': 'Event Handling', }, onValueChanged(e) { $('.brush').css('color', e.component.option('value')); }, onInput(e) { $('.brush').css('color', e.event.target.value); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.7/css/dx.light.css" /> <script src="js/dx.all.js?v=25.1.7"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="form"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">Default mode</div> <div class="dx-field-value"> <div id="color-box-simple"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">With alpha channel editing</div> <div class="dx-field-value"> <div id="color-box-edit-alpha-channel"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Custom button captions</div> <div class="dx-field-value"> <div id="color-box-edit-button-text"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Read only</div> <div class="dx-field-value"> <div id="color-box-read-only"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Disabled</div> <div class="dx-field-value"> <div id="color-box-disabled"></div> </div> </div> </div> <div class="dx-fieldset"> <div class="dx-fieldset-header">Event Handling</div> <div class="hero-block"> <div class="color-block"> <svg class="brush" width="360" height="254"> <use href="images/Brush.svg#brush"></use> </svg> <svg class="superhero dx-color-icon" width="360" height="254"> <use href="images/Hero.svg#hero"></use> </svg> </div> <div class="hero-color-box"> <div id="color-box-with-change-value"></div> </div> </div> </div> </div> </div> </body> </html>
.form { min-height: 690px; } .form .dx-field-value { text-align: right; } .dx-fieldset-header { padding: 10px 0; } .color-block { width: 360px; height: 254px; position: relative; } .hero-color-box { position: absolute; right: 0; left: 400px; top: 110px; } .superhero, .brush { position: absolute; height: 100%; width: 100%; } .hero-block { position: relative; } .brush { color: #f05b41; }

You can hide the editor's drop-down button to allow users to only type in a color code. To do this, disable the showDropDownButton property. Users can also edit the transparency of the selected shade if the editAlphaChannel property is set to true.

Configure the JavaScript ColorBox

Use the following properties to specify the component's interactivity:

  • readOnly
    Specifies whether the JavaScript ColorBox is read-only.

  • disabled
    Specifies whether the JavaScript ColorBox responds to user interaction.

You can specify the following properties to add custom buttons into the input field, or configure the drop-down editor's buttons:

  • buttons
    Allows you to add custom buttons to the input text field.

  • showClearButton
    Specifies whether to display the Clear button in the JavaScript ColorBox.

  • applyButtonText
    Specifies the text for the button that applies changes and closes the drop-down editor.

  • cancelButtonText
    Specifies the text for the button that cancels changes and closes the drop-down editor.

Handle Value Change

Implement the onValueChanged function to handle the value change when users select a color in the drop-down editor. To handle the input value change, use the onInput function.

import React from 'react';
import ColorBox from 'devextreme-react/color-box';
class App extends React.Component {
constructor(props) {
super(props);
this.state = { color: '#f05b41' };
this.handleColorChange = ({ value }) => this.setState({ color: value });
}
render() {
return (
<React.Fragment>
<div className="form">
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<ColorBox
defaultValue="#f05b41"
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">With alpha channel editing</div>
<div className="dx-field-value">
<ColorBox
defaultValue="#f05b41"
editAlphaChannel={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Custom button captions</div>
<div className="dx-field-value">
<ColorBox
defaultValue="#f05b41"
applyButtonText="Apply"
cancelButtonText="Decline"
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Read only</div>
<div className="dx-field-value">
<ColorBox
defaultValue="#f05b41"
readOnly={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<ColorBox
defaultValue="#f05b41"
disabled={true}
/>
</div>
</div>
</div>
<div className="dx-fieldset">
<div className="dx-fieldset-header">Event Handling</div>
<div className="hero-block">
<div className="color-block" style={{ backgroundColor: this.state.color }}>
<div className="superhero"></div>
</div>
<div className="hero-color-box">
<ColorBox
value={this.state.color}
applyValueMode="instantly"
onValueChanged={this.handleColorChange}
/>
</div>
</div>
</div>
</div>
</React.Fragment>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.form {
min-height: 690px;
}
.form .dx-field-value {
text-align: right;
}
.dx-fieldset-header {
padding: 10px 0;
}
.color-block {
width: 360px;
height: 254px;
background-color: #f05b41;
position: relative;
}
.hero-color-box {
position: absolute;
right: 0;
left: 400px;
top: 110px;
}
.color-block .superhero {
position: absolute;
height: 100%;
width: 100%;
}
.hero-block {
position: relative;
}
.superhero {
background-image: url(../../../../images/hero_white.png);
}
.dx-color-scheme-dark .superhero {
background-image: url(../../../../images/hero_black.png);
}
.dx-color-scheme-darkmoon .superhero {
background-image: url(../../../../images/hero_darkmoon.png);
}
.dx-color-scheme-darkviolet .superhero {
background-image: url(../../../../images/hero_darkviolet.png);
}
.dx-color-scheme-greenmist .superhero {
background-image: url(../../../../images/hero_greenmist.png);
}
.dx-color-scheme-contrast .superhero {
background-image: url(../../../../images/hero_contrast.png);
}
.dx-color-scheme-blue-dark .superhero,
.dx-color-scheme-orange-dark .superhero,
.dx-color-scheme-teal-dark .superhero,
.dx-color-scheme-lime-dark .superhero,
.dx-color-scheme-purple-dark .superhero {
background-image: url(../../../../images/hero_material_dark.png);
}
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<DxColorBox
value="#f05b41"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With alpha channel editing</div>
<div class="dx-field-value">
<DxColorBox
:edit-alpha-channel="true"
value="#f05b41"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Custom button captions</div>
<div class="dx-field-value">
<DxColorBox
value="#f05b41"
apply-button-text="Apply"
cancel-button-text="Decline"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Read only</div>
<div class="dx-field-value">
<DxColorBox
:read-only="true"
value="#f05b41"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<DxColorBox
:disabled="true"
value="#f05b41"
/>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">Event Handling</div>
<div class="hero-block">
<div
:style="{ backgroundColor: color }"
class="color-block"
>
<div class="superhero"/>
</div>
<div class="hero-color-box">
<DxColorBox
v-model:value="color"
apply-value-mode="instantly"
/>
</div>
</div>
</div>
</div>
</template>
<script>
import DxColorBox from 'devextreme-vue/color-box';
export default {
components: {
DxColorBox
},
data: function() {
return {
color: '#f05b41'
};
}
};
</script>
<style>
.form {
min-height: 690px;
}
.form .dx-field-value {
text-align: right;
}
.dx-fieldset-header {
padding: 10px 0;
}
.color-block {
width: 360px;
height: 254px;
background-color: #f05b41;
position: relative;
}
.hero-color-box{
position: absolute;
right: 0;
left: 400px;
top: 110px;
}
.color-block .superhero{
position: absolute;
height: 100%;
width: 100%;
}
.hero-block {
position: relative;
}
.superhero {
background-image: url(../../../../images/hero_white.png);
}
.dx-color-scheme-dark .superhero {
background-image: url(../../../../images/hero_black.png);
}
.dx-color-scheme-darkmoon .superhero {
background-image: url(../../../../images/hero_darkmoon.png);
}
.dx-color-scheme-darkviolet .superhero {
background-image: url(../../../../images/hero_darkviolet.png);
}
.dx-color-scheme-greenmist .superhero {
background-image: url(../../../../images/hero_greenmist.png);
}
.dx-color-scheme-contrast .superhero {
background-image: url(../../../../images/hero_contrast.png);
}
.dx-color-scheme-blue-dark .superhero,
.dx-color-scheme-orange-dark .superhero,
.dx-color-scheme-teal-dark .superhero,
.dx-color-scheme-lime-dark .superhero,
.dx-color-scheme-purple-dark .superhero {
background-image: url(../../../../images/hero_material_dark.png);
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-vue': 'npm:devextreme-vue@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<dx-color-box value="#f05b41"></dx-color-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">With alpha channel editing</div>
<div class="dx-field-value">
<dx-color-box value="#f05b41" [editAlphaChannel]="true"></dx-color-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Custom button captions</div>
<div class="dx-field-value">
<dx-color-box
value="#f05b41"
applyButtonText="Apply"
cancelButtonText="Decline"
></dx-color-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Read only</div>
<div class="dx-field-value">
<dx-color-box value="#f05b41" [readOnly]="true"></dx-color-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<dx-color-box value="#f05b41" [disabled]="true"></dx-color-box>
</div>
</div>
</div>
<div class="dx-fieldset">
<div class="dx-fieldset-header">Event Handling</div>
<div class="hero-block">
<div class="color-block" [style.background-color]="currentColor">
<div class="superhero"></div>
</div>
<div class="hero-color-box">
<dx-color-box
[(value)]="currentColor"
applyValueMode="instantly"
></dx-color-box>
</div>
</div>
</div>
</div>
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxColorBoxModule } from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
currentColor = '#f05b41';
}
@NgModule({
imports: [
BrowserModule,
DxColorBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .form {
min-height: 690px;
}
::ng-deep .form .dx-field-value {
text-align: right;
}
::ng-deep .dx-fieldset-header {
padding: 10px 0;
}
::ng-deep .color-block {
width: 360px;
height: 254px;
background-color: #f05b41;
position: relative;
}
::ng-deep .hero-color-box {
position: absolute;
right: 0;
left: 400px;
top: 110px;
}
::ng-deep .color-block .superhero {
position: absolute;
height: 100%;
width: 100%;
}
::ng-deep .hero-block {
position: relative;
}
::ng-deep .superhero {
background-image: url(../../../../images/hero_white.png);
}
::ng-deep .dx-color-scheme-dark .superhero {
background-image: url(../../../../images/hero_black.png);
}
::ng-deep .dx-color-scheme-darkmoon .superhero {
background-image: url(../../../../images/hero_darkmoon.png);
}
::ng-deep .dx-color-scheme-darkviolet .superhero {
background-image: url(../../../../images/hero_darkviolet.png);
}
::ng-deep .dx-color-scheme-greenmist .superhero {
background-image: url(../../../../images/hero_greenmist.png);
}
::ng-deep .dx-color-scheme-contrast .superhero {
background-image: url(../../../../images/hero_contrast.png);
}
::ng-deep .dx-color-scheme-blue-dark .superhero,
::ng-deep .dx-color-scheme-orange-dark .superhero,
::ng-deep .dx-color-scheme-teal-dark .superhero,
::ng-deep .dx-color-scheme-lime-dark .superhero,
::ng-deep .dx-color-scheme-purple-dark .superhero {
background-image: url(../../../../images/hero_material_dark.png);
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.4/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32',
'devextreme-angular': 'npm:devextreme-angular@22.1.4',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.4/*/package.json',
'npm:devextreme-angular@22.1.4/ui/*/package.json',
'npm:devextreme-angular@22.1.4/package.json',
'npm:devexpress-diagram@2.1.63/package.json',
'npm:devexpress-gantt@4.1.32/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>